import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { AppointmentProcedureCreateManyPatientInputObjectSchema as AppointmentProcedureCreateManyPatientInputObjectSchema } from './AppointmentProcedureCreateManyPatientInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => AppointmentProcedureCreateManyPatientInputObjectSchema), z.lazy(() => AppointmentProcedureCreateManyPatientInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const AppointmentProcedureCreateManyPatientInputEnvelopeObjectSchema: z.ZodType<Prisma.AppointmentProcedureCreateManyPatientInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentProcedureCreateManyPatientInputEnvelope>;
export const AppointmentProcedureCreateManyPatientInputEnvelopeObjectZodSchema = makeSchema();
